flex-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Alex Harui <aha...@adobe.com>
Subject Re: [LAST CALL] Release FlexJS/FalconJX 0.5.0
Date Thu, 03 Sep 2015 23:18:53 GMT
Use the installer to get the nightly build. My thought was most folks would install flexjs
then try to figure out how to hack framework code.


I also recently added an "all" target such that if you have cloned flex-asjs it will clone
and build the other repos.


Sent from my LG G3, an AT&T 4G LTE smartphone


------ Original message------

From: OmPrakash Muppirala

Date: Thu, Sep 3, 2015 3:55 PM

To: dev@flex.apache.org;

Subject:Re: [LAST CALL] Release FlexJS/FalconJX 0.5.0


In your original email, you said

Install the nightly, then run ‘ant’ from
> >>there and see if it works for you.


Did you mean download the nightly?  Or install it via the Installer?

Thanks,
Om

On Thu, Sep 3, 2015 at 3:26 PM, Alex Harui <aharui@adobe.com> wrote:

> Peter and I are almost done tuning the examples.  I will try to update the
> nightly tonight and send another notice when that’s ready.  Then it would
> be great if folks can try it out, especially the two new build scripts
> that grab the dependent repos and build them.
>
> I still haven’t renamed jsc.*, do we ant the hyphen or not?  What else do
> we want to cram into this release?
>
> -Alex
>
> On 8/24/15, 2:06 PM, "Alex Harui" <aharui@adobe.com> wrote:
>
> >I just updated the version number to 0.5.0.  Hopefully I didn’t miss any
> >places.  Give it a try and let us know if you find a problem.
> >
> >-Alex
> >
> >On 8/24/15, 12:41 PM, "Alex Harui" <aharui@adobe.com> wrote:
> >
> >>OK, I’ve updated the nightly build so that it matches the updates I just
> >>made to this wiki page [1]
> >>
> >>The cloning of repos and building them in the right order can now be
> >>performed by an Ant script.  Install the nightly, then run ‘ant’ from
> >>there and see if it works for you.  You will need to take care of the
> >>“prerequisites” described in [1] first.  The script worked for me on Mac
> >>and Win.
> >>
> >>There are a lot of prerequisites, so I’m wondering if it is worth trying
> >>to write a script to install the prerequisites?  And if so, where should
> >>it start?  Should it install Ant?  Java?
> >>
> >>Thoughts?
> >>-Alex
> >>
> >>[1]
> >>https://cwiki.apache.org/confluence/display/FLEX/FlexJS+Developer+Setup
> >>
> >>On 8/23/15, 10:46 PM, "Alex Harui" <aharui@adobe.com> wrote:
> >>
> >>>Hi,
> >>>
> >>>I just pushed a bunch of changes to get a “start from nothing” ant
> >>>script
> >>>to work. I’m working on a nightly build so we can see if it works for
> >>>others.  It works for me on my mac.  The approach I took was to build in
> >>>a
> >>>test in the main build.xml to detect if it is in an installed FlexJS
> >>>SDK.
> >>>If it is, it offers to make a new folder and clone all of the repos
> >>>there.
> >>> I figure most folks will try the binary builds first and then want to
> >>>get
> >>>set up to contribute.  Plus that way the main build script doesn’t have
> >>>to
> >>>do all the checking to see if other repos are there or not.
> >>>
> >>>I also moved a bunch of folders from examples to manualtests.
> >>>
> >>>I will update the wiki shortly and push the nightly and then email again
> >>>to get folks to try it.  Next up for me is more release-oriented stuff:
> >>>
> >>>1) change version to 0.5
> >>>2) rename jsc to as-jsc?
> >>>3) update wiki
> >>>
> >>>BTW, is there an example that uses jquery.swc?  Are there bugs in the
> >>>js-release version?
> >>>
> >>>-Alex
> >>>
> >>>
> >>
> >
>
>

Mime
  • Unnamed multipart/alternative (inline, None, 0 bytes)
View raw message